This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 842641 - RHEVM Installation: RHEVM Service doesn't follow SysV exit codes guidelines
RHEVM Installation: RHEVM Service doesn't follow SysV exit codes guidelines
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
x86_64 All
high Severity medium
: ---
: ---
Assigned To: Juan Hernández
Pavel Stehlik
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 06:19 EDT by Ofer Schreiber
Modified: 2012-12-04 15:01 EST (History)
7 users (show)

See Also:
Fixed In Version: si12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ofer Schreiber 2012-07-24 06:19:30 EDT
Description of problem:
RHEVM Service (/etc/init.d/ovirt-engine) doesn't follow http://fedoraproject.org/wiki/Packaging:SysVInitScript#Exit_Codes_for_the_Status_Action and return 1 when service is down, pid exists or any other issue.

Version-Release number of selected component (if applicable):
SI11

How reproducible:
run:
 # service ovirt-engine status
 ovirt-engine is stopped

see RC:
 # echo $?
 1

  
Actual results:
rc is 1

Expected results:
0:	program is running or service is OK
1:	program is dead and /var/run pid file exists
2:	program is dead and /var/lock lock file exists
3:	program is not running
4:	program or service status is unknown
5-99:	reserved for future LSB use
100-149:	reserved for distribution use
150-199:	reserved for application use
200-254:	reserved
Comment 1 Juan Hernández 2012-07-25 06:03:13 EDT
The suggested fix for this bug is here:

http://gerrit.ovirt.org/6571
Comment 2 Juan Hernández 2012-07-26 07:22:59 EDT
The change has already been merged upstream:

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=6a70668ecf4fa1290176bc4248c2ca2801b55df8

Note You need to log in before you can comment on or make changes to this bug.